import { ValidationMessage } from "../models/validationMessage";
import { Mediator } from "../services/mediator";
import { Query } from "../models/query";
import { QueryResponse } from "../models/queryResponse";
import { CommandResponse } from "../models/commandResponse";
import { Command } from "../models/command";
import { EventEmitter } from "@angular/core";
import { Subject } from "rxjs/Subject";
export declare abstract class BasePage {
    mediator: Mediator;
    componentName: string;
    pageHeader: string;
    pageSubHeader: string;
    messagesReceived: EventEmitter<{}>;
    receivedMessages: Subject<ValidationMessage[]>;
    constructor(mediator: Mediator, componentName: string, pageHeader: string, pageSubHeader: string);
    showSuccess(): void;
    showInfo(message: string): void;
    showWarning(message: string): void;
    showError(message: string): void;
    showException(message: string): void;
    query<U>(query: Query<U>): Promise<QueryResponse<U>>;
    command<U>(command: Command<U>): Promise<CommandResponse<U>>;
}
