import { Component, Input } from '@angular/core';
import MessageType from '../../models/messageType';
var ServerMessageListComponent = (function () {
    function ServerMessageListComponent() {
        this.infoMessages = [];
        this.warningMessages = [];
        this.errorMessages = [];
        this.exceptionMessages = [];
        this.infoMessages = [];
        this.warningMessages = [];
        this.errorMessages = [];
        this.exceptionMessages = [];
    }
    /**
     * @return {?}
     */
    ServerMessageListComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.receivedMessages.subscribe(function (event) {
            _this.setMessages(event);
        });
    };
    /**
     * @return {?}
     */
    ServerMessageListComponent.prototype.ngOnDestroy = function () {
        this.receivedMessages.unsubscribe();
    };
    /**
     * @return {?}
     */
    ServerMessageListComponent.prototype.clearAll = function () {
        this.warningMessages = [];
        this.infoMessages = [];
        this.errorMessages = [];
        this.exceptionMessages = [];
    };
    /**
     * @param {?} messages
     * @return {?}
     */
    ServerMessageListComponent.prototype.setMessages = function (messages) {
        this.clearAll();
        for (var _i = 0, messages_1 = messages; _i < messages_1.length; _i++) {
            var message = messages_1[_i];
            if (message.Key === "") {
                switch (message.MessageType) {
                    case MessageType.Error:
                        this.errorMessages.push(message);
                        break;
                    case MessageType.Exception:
                        this.exceptionMessages.push(message);
                        break;
                    case MessageType.Warning:
                        this.warningMessages.push(message);
                        break;
                    case MessageType.Info:
                        this.infoMessages.push(message);
                        break;
                    default:
                }
            }
        }
    };
    ServerMessageListComponent.decorators = [
        { type: Component, args: [{
                    selector: 'nirvana-servermessagelist',
                    template: "\n        <div>\n            <div *ngFor=\"let alert of errorMessages;let i = index\" class=\"'danger'\" dismissible=\"false\"> {{ alert?.Message}}</div>\n            <div *ngFor=\"let alert of exceptionMessages;let i = index\" class=\"'danger'\" dismissible=\"false\"> {{ alert?.Message}}</div>\n            <div *ngFor=\"let alert of warningMessages;let i = index\" class=\"'warning'\" dismissible=\"false\"> {{ alert?.Message}}</div>\n            <div *ngFor=\"let alert of infoMessages;let i = index\" class=\"'success'\" dismissible=\"false\"> {{ alert?.Message }}</div>\n        </div>\n        "
                },] },
    ];
    /**
     * @nocollapse
     */
    ServerMessageListComponent.ctorParameters = function () { return []; };
    ServerMessageListComponent.propDecorators = {
        'componentName': [{ type: Input },],
        'receivedMessages': [{ type: Input },],
    };
    return ServerMessageListComponent;
}());
export { ServerMessageListComponent };
function ServerMessageListComponent_tsickle_Closure_declarations() {
    /** @type {?} */
    ServerMessageListComponent.decorators;
    /**
     * @nocollapse
     * @type {?}
     */
    ServerMessageListComponent.ctorParameters;
    /** @type {?} */
    ServerMessageListComponent.propDecorators;
    /** @type {?} */
    ServerMessageListComponent.prototype.componentName;
    /** @type {?} */
    ServerMessageListComponent.prototype.receivedMessages;
    /** @type {?} */
    ServerMessageListComponent.prototype.infoMessages;
    /** @type {?} */
    ServerMessageListComponent.prototype.warningMessages;
    /** @type {?} */
    ServerMessageListComponent.prototype.errorMessages;
    /** @type {?} */
    ServerMessageListComponent.prototype.exceptionMessages;
}
//# sourceMappingURL=server-message-list.js.map