import { Command } from "../models/command";
import { Query } from "../models/query";
import { QueryResponse } from "../models/queryResponse";
import { CommandResponse } from "../models/commandResponse";
import { ConfigService } from "./config-service";
import { AuthTokenResolver } from "./AuthTokenResolver";
import { HttpClient } from "@angular/common/http";
export declare class Mediator {
    private http;
    private configService;
    private tokenResolver;
    commandEndpoint: string;
    queryEndpoint: string;
    constructor(http: HttpClient, configService: ConfigService, tokenResolver: AuthTokenResolver);
    query<U>(query: Query<U>): Promise<QueryResponse<U>>;
    command<U>(command: Command<U>): Promise<CommandResponse<U>>;
    private doQuery<U>(query, url, token);
    private doCommand<U>(command, url, token);
    private objectToParams(object);
    private getAsUriParameters(data, keyPreprend);
    private getCommandUrl<U>(command);
    private getQueryUrl<U>(query);
    private getHeaders(token);
    private isEndPoint(key);
}
